
Foreman - Feature #3868

Allow users to turn on pagination by e.g. per_page=0

12/12/2013 02:13 PM - Martin Bacovsky

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It would be nice to have some option to turn off pagination.

Today per_page=0 returns pages with no items indefinitely so it would be nice candidate for this feature.

Ability to turn off pagination cleanly would be helpful for scripting with API (IMO majority of API users).

Related issues:

Is duplicate of Foreman - Feature #3652: Add explicit way for API consumers t... Duplicate 11/14/2013

History

#1 - 12/13/2013 08:40 AM - Dominic Cleal

- Is duplicate of Feature #3652: Add explicit way for API consumers to specifiy all pages in an index request added

#2 - 12/13/2013 08:40 AM - Dominic Cleal

- Status changed from New to Duplicate
